<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */

/**
 * シリーズ関連
 *
 * @package     Onedepo.Logic.Seriesview
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Onedepo_Logic_Seriesview
{
    var $series;


    /**
    * おすすめレーベル取得
    * 
    */
    function ViewRecommend($rec, $shopdiv)
    {
      
        $log =& LogFactory::getLog();
        $log->debug("debug", "Onedepo_Logic_Seriesview#selectKeyViewRecommend");
        
        return $this->series->ViewRecommend($rec, $shopdiv);
    }
    
    
    /**
    * メーカーごとのシリーズ取得
    *
    */
    function ViewNonRecommend($nonrec, $shopdiv){
      
        $log =& LogFactory::getLog();
        $log->debug("debug", "Onedepo_Logic_Seriesview#selectKeyViewNonRecommend");
        
        
        
        
        $onemakercd = $this->series->NonRecMakercd($nonrec, $shopdiv);
        //print_r($onemakercd);

        $data = array();
        foreach($onemakercd as $val){
            $data[$val["makernm"]] = $this->series->NonRecSeries($val["makercd"],2);
        }
        return $data;
    }
    
    
}
?>